org.apache.calcite.avatica.remote

## Class Service.RpcMetadataResponse

- java.lang.Object
- - org.apache.calcite.avatica.remote.Service.Base
  - - org.apache.calcite.avatica.remote.Service.Response
    - - org.apache.calcite.avatica.remote.Service.RpcMetadataResponse

Enclosing interface:
  Service

    public static class Service.RpcMetadataResponse
    extends Service.Response

Response that includes information about the server that handled an RPC.

This isn't really a "response", but we want to be able to be able to convert it to protobuf and back again, so ignore that there isn't an explicit endpoint for it.

### Field Summary

Fields
`String` `serverAddress`

### Constructor Summary

Constructors
Constructor and Description
`RpcMetadataResponse()`
`RpcMetadataResponse(String serverAddress)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`int` `hashCode()`

### Methods inherited from class org.apache.calcite.avatica.remote.Service.Base

`p, p, p, p`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### serverAddress

    public final String serverAddress

### Constructor Detail

#### RpcMetadataResponse

    public RpcMetadataResponse()

#### RpcMetadataResponse

    public RpcMetadataResponse(String serverAddress)

### Method Detail

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`